org.apache.poi.ss.usermodel

## Class ComparisonOperator

- java.lang.Object
- - org.apache.poi.ss.usermodel.ComparisonOperator

-     public final class ComparisonOperator
      extends java.lang.Object

  The conditional format operators used for "Highlight Cells That Contain..." rules.

  For example, "highlight cells that begin with "M2" and contain "Mountain Gear".

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `BETWEEN` 'Between' operator
    `static byte` | `EQUAL` 'Equal to' operator
    `static byte` | `GE` 'Greater than or equal to' operator
    `static byte` | `GT` 'Greater than' operator
    `static byte` | `LE` 'Less than or equal to' operator
    `static byte` | `LT` 'Less than' operator
    `static byte` | `NO_COMPARISON`
    `static byte` | `NOT_BETWEEN` 'Not between' operator
    `static byte` | `NOT_EQUAL` 'Not equal to' operator

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComparisonOperator()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NO_COMPARISON

          public static final byte NO_COMPARISON

      See Also:
        Constant Field Values

    - #### BETWEEN

          public static final byte BETWEEN

      'Between' operator
      See Also:
        Constant Field Values

    - #### NOT_BETWEEN

          public static final byte NOT_BETWEEN

      'Not between' operator
      See Also:
        Constant Field Values

    - #### EQUAL

          public static final byte EQUAL

      'Equal to' operator
      See Also:
        Constant Field Values

    - #### NOT_EQUAL

          public static final byte NOT_EQUAL

      'Not equal to' operator
      See Also:
        Constant Field Values

    - #### GT

          public static final byte GT

      'Greater than' operator
      See Also:
        Constant Field Values

    - #### LT

          public static final byte LT

      'Less than' operator
      See Also:
        Constant Field Values

    - #### GE

          public static final byte GE

      'Greater than or equal to' operator
      See Also:
        Constant Field Values

    - #### LE

          public static final byte LE

      'Less than or equal to' operator
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ComparisonOperator

          public ComparisonOperator()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.